<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class File extends Model
{
	protected $fillable = [
        'name',
        'version',
        'description',
        'file'
    ];

     /* Mutadores, cambiaran el valor antes de insertar a la base de datos */
    public function setNameAttribute($name) {
        $this->attributes['name'] = mb_strtolower($name);
    }

    public function setVersionAttribute($version) {
        $this->attributes['version'] = mb_strtolower($version);
    }
}
