<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class ParticularPointOfInterest extends Model
{
    protected $table = 'particular_points_of_interest';

    protected $fillable = [
        'user_id',
        'name_points',
        'name',
        'address',
        'latitude',
        'longitude',
        'colour',
        'file'
    ];

    // Cast Data
    protected $casts = [
        'latitude'        =>  'double',
        'longitude'       =>  'double'
    ];
}
