<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateParticularPointsOfInterestTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('particular_points_of_interest', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('user_id');
            $table->string('name_points');
            $table->string('name');
            $table->string('address')->nullable();
            $table->string('latitude');
            $table->string('longitude');
            $table->string('colour');
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('particular_points_of_interest');
    }
}
