<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateGalleryWallsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('gallery_walls', function (Blueprint $table) {
            $table->integer('id');
            $table->integer('wall_id');
            $table->string('img');
            $table->timestamps();
            $table->foreign('wall_id')->references('id')->on('walls');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('gallery_walls');
    }
}
