<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateAvailabilityWallsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('availability_walls', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('campaign_id')->nullable();
            $table->integer('wall_id');
            $table->boolean('ft_jan')->default(false);;
            $table->boolean('sd_jan')->default(false);;
            $table->boolean('td_jan')->default(false);;
            $table->boolean('fh_jan')->default(false);;
            $table->boolean('ft_feb')->default(false);;
            $table->boolean('sd_feb')->default(false);;
            $table->boolean('td_feb')->default(false);;
            $table->boolean('fh_feb')->default(false);;
            $table->boolean('ft_mar')->default(false);;
            $table->boolean('sd_mar')->default(false);;
            $table->boolean('td_mar')->default(false);;
            $table->boolean('fh_mar')->default(false);;
            $table->boolean('ft_apr')->default(false);;
            $table->boolean('sd_apr')->default(false);;
            $table->boolean('td_apr')->default(false);;
            $table->boolean('fh_apr')->default(false);;
            $table->boolean('ft_may')->default(false);;
            $table->boolean('sd_may')->default(false);;
            $table->boolean('td_may')->default(false);;
            $table->boolean('fh_may')->default(false);;
            $table->boolean('ft_jun')->default(false);;
            $table->boolean('sd_jun')->default(false);;
            $table->boolean('td_jun')->default(false);;
            $table->boolean('fh_jun')->default(false);;
            $table->boolean('ft_jul')->default(false);;
            $table->boolean('sd_jul')->default(false);;
            $table->boolean('td_jul')->default(false);;
            $table->boolean('fh_jul')->default(false);;
            $table->boolean('ft_aug')->default(false);;
            $table->boolean('sd_aug')->default(false);;
            $table->boolean('td_aug')->default(false);;
            $table->boolean('fh_aug')->default(false);;
            $table->boolean('ft_sep')->default(false);;
            $table->boolean('sd_sep')->default(false);;
            $table->boolean('td_sep')->default(false);;
            $table->boolean('fh_sep')->default(false);;
            $table->boolean('ft_oct')->default(false);;
            $table->boolean('sd_oct')->default(false);;
            $table->boolean('td_oct')->default(false);;
            $table->boolean('fh_oct')->default(false);;
            $table->boolean('ft_nov')->default(false);;
            $table->boolean('sd_nov')->default(false);;
            $table->boolean('td_nov')->default(false);;
            $table->boolean('fh_nov')->default(false);;
            $table->boolean('ft_dec')->default(false);;
            $table->boolean('sd_dec')->default(false);;
            $table->boolean('td_dec')->default(false);;
            $table->boolean('fh_dec')->default(false);;

            $table->year('year')->nullable();

            $table->boolean('company_availability_flag')->default(false);;
            $table->boolean('active')->default(false);

            $table->timestamps();

            $table->foreign('campaign_id')->references('id')->on('campaigns');
            $table->foreign('wall_id')->references('id')->on('walls');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('availability_walls');
    }
}
