<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class AlterImpactsDataTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('impacts_data', function (Blueprint $table) {
            // $table->dropColumn('predominant_sex');
            $table->dropColumn('predominant_age');
            $table->dropColumn('predominant_sl');
            $table->double('frequency')->after('total');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
