<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsCampaignMappingFileTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            seller
            customercost
            customer
        */
        Permission::create([
    		'name'			=>			'Agregar archivos de mapeo a una camapaña',
    		'slug'			=>			'campaigns.mapping.files.store',
    		'description'	=>			'Agregar archivos de mapeo a una camapaña'
    	]);

        /*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            seller
            customercost
            customer
        */
        Permission::create([
            'name'          =>          'Listar archivos de mapeo de una campaña',
            'slug'          =>          'campaigns.mapping.files.index',
            'description'   =>          'Listar archivos de mapeo de una campaña'
        ]);
    }
}
