<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsCompanyImageTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
    	/*
            Superadministrador
            Administrador
            Salesmanager
            Reseller
        */
        Permission::create([
    		'name'			=>			'Subir imagen empresa',
    		'slug'			=>			'companies.uploadImage',
    		'description'	=>			'Subir imagen de la empresa'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            Reseller
        */
        Permission::create([
    		'name'			=>			'Eliminar Imagen Disco',
    		'slug'			=>			'companies.deleteImage',
    		'description'	=>			'Eliminar imagen del disco'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            Reseller
        */
        Permission::create([
    		'name'			=>			'Eliminar Imagen Empresa',
    		'slug'			=>			'companies.deleteCompanyImage',
    		'description'	=>			'Eliminar imagen de la empresa'
    	]);
    }
}
