<?php

namespace App\Http\Controllers\Company;

use App\Company;
use App\Http\Controllers\ApiController;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class CompanyUsercontroller extends ApiController
{
	public function __contruct(){
		parent::__construct();
        $this->middleware('can:companies.users.index')->only('index');
	}

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Company $company)
    {
        return $this->showAll($company->users);
    }
}
