<?php
namespace App\Traits;

trait ApiHelpers
{

	protected function validateTeamPermissions($country_id)
	{
		$permission = false;

		$countries_teams = auth()->user()
		                         ->teams()
		                         ->with( 'countries' )
		                         ->get()
		                         ->pluck( 'countries' )
		                         ->collapse()
		                         ->unique('id');

	    if (count($countries_teams->where('id', $country_id)) > 0) {
	        $permission = true;
	    }

	    return $permission;
	}

}