<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCampaignWitnessesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('campaign_witnesses', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->integer('campaign_id');
            $table->string('provider_wall_id')->nullable();
            $table->string('img');
            $table->text('description')->nullable();

            $table->foreign('campaign_id')->references('id')->on('campaigns');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('campaign_witnesses');
    }
}
