<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsBudgetTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            customercost
        */
        Permission::create([
    		'name'			=>			'Crear un presupuesto',
    		'slug'			=>			'budget.store',
    		'description'	=>			'Crear un presupuesto de una campaña'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            customercost
        */
        Permission::create([
    		'name'			=>			'Obtener un presupuesto',
    		'slug'			=>			'budget.show',
    		'description'	=>			'Obtener un presupuesto de una campaña'
    	]);
    }
}
