<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsCampaignPointsOfInterestsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            seller
            customercost
            customer
        */
        Permission::create([
    		'name'			=>			'Listar puntos de interes de una campaña',
    		'slug'			=>			'campaigns.pointsofinterest.index',
    		'description'	=>			'Listara todos los puntos de interes de una campaña'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            seller
            customercost
            customer
        */
        Permission::create([
    		'name'			=>			'Agregar puntos de interes a una campaña',
    		'slug'			=>			'campaigns.pointsofinterest.store',
    		'description'	=>			'Agregar puntos de interes a una campaña'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            seller
            customercost
            customer
        */
        Permission::create([
    		'name'			=>			'Eliminar puntos de interes de una campaña',
    		'slug'			=>			'campaigns.pointsofinterest.destroy',
    		'description'	=>			'Eliminar puntos de interes de una campaña'
    	]);
    }
}
