<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsCampaignPolygonsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            seller
            customercost
            customer
        */
        Permission::create([
    		'name'			=>			'Listar polygonos de una campaña',
    		'slug'			=>			'campaigns.polygons.index',
    		'description'	=>			'Listara todos los poligonos de una campaña'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            seller
            customercost
            customer
        */
        Permission::create([
    		'name'			=>			'Agregar polygonos a una campaña',
    		'slug'			=>			'campaigns.polygons.store',
    		'description'	=>			'Agregar poligonos a una campaña'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            seller
            customercost
            customer
        */
        Permission::create([
    		'name'			=>			'Eliminar poligonos de una campaña',
    		'slug'			=>			'campaigns.polygons.destroy',
    		'description'	=>			'Agregar poligonos a una campaña'
    	]);
    }
}
