<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsCampaignPublicTransportsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            seller
            customercost
            customer
        */
        Permission::create([
    		'name'			=>			'Listar transportes publicos de una campaña',
    		'slug'			=>			'campaigns.publictransport.index',
    		'description'	=>			'Listara todos los transportes publicos de una campaña'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            seller
            customercost
            customer
        */
        Permission::create([
    		'name'			=>			'Agregar transportes publicos a una campaña',
    		'slug'			=>			'campaigns.publictransport.store',
    		'description'	=>			'Agregar transportes publicos a una campaña'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            sellercosts
            seller
            customercost
            customer
        */
        Permission::create([
    		'name'			=>			'Eliminar transportes publicos de una campaña',
    		'slug'			=>			'campaigns.publictransport.destroy',
    		'description'	=>			'Eliminar transportes publicos de una campaña'
    	]);
    }
}
