<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsCampaingScreenTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
			Administrador
			Sales
			Sellers
			Seller
			Customer
			Customer
        */
        Permission::create([
    		'name'			=>			'Listar pantallas de una campaña',
    		'slug'			=>			'campaigns.screens.index',
    		'description'	=>			'Listara todas pantallas de una campaña'
    	]);

    	/*
            Superadministrador
			Administrador
			Sales
			Sellers
			Seller
			Customer
			Customer
        */
        Permission::create([
    		'name'			=>			'Agregar pantallas a una campaña',
    		'slug'			=>			'campaigns.screens.store',
    		'description'	=>			'Agregar pantallas a una campaña'
    	]);

    	/*
            Superadministrador
			Administrador
			Sales
			Sellers
			Seller
			Customer
			Customer
        */
        Permission::create([
    		'name'			=>			'Eliminar pantallas a una campaña',
    		'slug'			=>			'campaigns.screens.destroy',
    		'description'	=>			'Eliminar pantallas a una campaña'
    	]);
        
        /*
            Superadministrador
            Administrador
            Sales
            Sellers
            Seller
            Customer
            Customer
        */
        Permission::create([
            'name'          =>          'Eliminar pantallas de un circuito a una campaña',
            'slug'          =>          'campaigns.screens.destroyCircuit',
            'description'   =>          'Eliminar pantallas de un circuito a una campaña'
        ]);

        /*
            Superadministrador
            Administrador
            Sales
            Sellers
            Seller
            Customer
            Customer
        */
        Permission::create([
            'name'          =>          'Exportar excel campaña',
            'slug'          =>          'campaigns.screens.export',
            'description'   =>          'Exportar excel campaña'
        ]);
    }
}
