<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsTagsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Crear tags',
    		'slug'			=>			'tags.store',
    		'description'	=>			'Crear tags'
    	]);
    	Permission::create([
    		'name'			=>			'Actualizar tags',
    		'slug'			=>			'tags.update',
    		'description'	=>			'Actualizar Tags'
    	]);
    	Permission::create([
    		'name'			=>			'Eliminar tags',
    		'slug'			=>			'tags.destroy',
    		'description'	=>			'Eliminar Tags'
    	]);
    }
}
