<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsTeamsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
        */
        Permission::create([
    		'name'			=>			'Listar equipos',
    		'slug'			=>			'teams.index',
    		'description'	=>			'Listara todos los equipos'
    	]);

    	/*
            Superadministrador
        */
        Permission::create([
    		'name'			=>			'Crear equipos',
    		'slug'			=>			'teams.store',
    		'description'	=>			'Crear equipos'
    	]);

    	/*
            Superadministrador
        */
        Permission::create([
    		'name'			=>			'Mostrar equipos',
    		'slug'			=>			'teams.show',
    		'description'	=>			'Mostrar equipos'
    	]);

    	/*
            Superadministrador
        */
        Permission::create([
    		'name'			=>			'Actualizar equipos',
    		'slug'			=>			'teams.update',
    		'description'	=>			'Actualizar equipos'
    	]);

    	/*
            Superadministrador
        */
        Permission::create([
    		'name'			=>			'Eliminar equipos',
    		'slug'			=>			'teams.destroy',
    		'description'	=>			'Eliminar equipos'
    	]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Validar team',
            'slug'          =>          'teams.validateTeam',
            'description'   =>          'Validar permisos team'
        ]);
    }
}
