<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsUsersTeamTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
    	/*
            Superadministrador
        */
        Permission::create([
    		'name'			=>			'Agregar usuarios',
    		'slug'			=>			'teams.users.store',
    		'description'	=>			'Agregar usuarios a un equipo'
    	]);

    	/*
            Superadministrador
        */
        Permission::create([
    		'name'			=>			'Mostrar usuarios',
    		'slug'			=>			'teams.users.show',
    		'description'	=>			'Mostar usuarios de un equipo'
    	]);

    	/*
            Superadministrador
        */
        Permission::create([
    		'name'			=>			'Eliminar usuarios',
    		'slug'			=>			'teams.users.destroy',
    		'description'	=>			'Eliminar usuarios de un equipo'
    	]);
    }
}
